#include <bits/stdc++.h>
using namespace std;

long long n, arr[50000];
bool flag;

int main()
{
    cin >> n;
    for(int i = 0; i < n; i++)
    {
        cin >> arr[i];
        flag = true;
        for(int j = 1; j*j < arr[i] && flag; j+=2)
        {
            for(int k = 1; k*k <= arr[i] - j*j && flag; k++)
            {
                    if(arr[i] == j * j + k * k) flag = false;
            }
        }
        if(flag) cout << "0";
        else cout << "1";
    }
    return 0;
}
